url = "covid.csv";
d3.csv(url, function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'positive'), y: unpack(rows,'recovered'), z: unpack(rows, 'negative'),
	mode: 'markers',
	marker: {
		size: 22,
		line: {
		color: 'rgba(217, 255, 17, 0.5)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = { //create another scatter plot like in python
	x:unpack(rows, 'positive'), y: unpack(rows, 'recovered'), z: unpack(rows, 'hospitalizedCurrently'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 22,
		symbol: 'circle',
		line: {
		color: 'rgb(250, 250, 250)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1,trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
